package com.usky.website.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.website.domain.SiteCategory;

import java.util.List;

/**
 * <p>
 * 官网_栏目管理 服务类
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
public interface SiteCategoryService extends CrudService<SiteCategory> {

    /**
     * 官网-栏目查询
     *
     * @return
     */
    List<SiteCategory> siteCategoryList(String categoryName);

    /**
     * 官网-子级栏目查询
     *
     * @param pid 父级ID
     * @return
     */
    List<SiteCategory> siteCategorySonList(Integer pid);

    /**
     * 官网-栏目的新增
     *
     * @param siteCategory
     */
    void addSiteCategory(SiteCategory siteCategory);

    /**
     * 官网-栏目的修改
     *
     * @param siteCategory
     */
    void updateSiteCategory(SiteCategory siteCategory);

    /**
     * 官网-栏目的删除
     *
     * @param id 主键ID
     */
    void delSiteCategory(Integer id);
}
